Bug 1002668 - missing icons in pavucontrol
missing icons in pavucontrol
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pavucontrol (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 13:06 EDT by Karel Volný
Modified: 2015-12-02 11:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:56:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (22.50 KB, image/png)
2013-08-29 13:06 EDT, Karel Volný
no flags Details

  None (edit)
Description Karel Volný 2013-08-29 13:06:33 EDT
Created attachment 791896 [details]
screenshot

Description of problem:
After installing clean system with RazorQt, I've found that the default mixer applet is preconfigured to use pavucontrol as the main mixer. So I've decided to install it. But it seems the package is missing some dependency, as there are missing icons in the UI.

Version-Release number of selected component (if applicable):
pavucontrol-2.0-1.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
1. do minimal Fedora install
2. install razorqt environment
3. install pavucontrol

Actual results:
see the screenshot
Comment 1 Julian Sikorski 2013-10-20 12:46:01 EDT
The missing icon is called multimedia-volume-control. Installing hicolor-icon-theme should help.
Comment 2 Karel Volný 2015-01-06 09:03:53 EST
(In reply to Julian Sikorski from comment #1)
> The missing icon is called multimedia-volume-control.

thanks; so, currently it is provided by these packages:

adwaita-icon-theme-3.14.1-1.fc21.noarch : Adwaita icon theme

control-center-1:3.14.2-2.fc21.x86_64 : Utilities to configure the GNOME desktop

echo-icon-theme-0.3.89.0-0.19.20081003gitcc6da5b.fc21.noarch : Echo icon theme

elementary-xfce-icon-theme-0.4-2.fc21.noarch : Icons for Xfce based on the elementary Project Icon Theme

gnome-icon-theme-3.12.0-2.fc21.noarch : GNOME icon theme

gnome-themes-standard-3.14.2.2-1.fc21.x86_64 : Standard themes for GNOME applications

kfaenza-icon-theme-0.8.9-6.fc21.noarch : Faenza-Cupertino Icon Theme for KDE

kmenu-gnome-0.8-9.fc21.noarch : K Menu with Gnome directory

mate-icon-theme-1.8.0-2.fc21.noarch : Icon theme for MATE Desktop

mate-icon-theme-faenza-1.8.0-2.fc21.noarch : Extra set of icon themes for MATE Desktop

mate-themes-1.9.3-0.3.git20141226.962f516.fc21.noarch : MATE Desktop themes

mingw32-adwaita-icon-theme-3.14.1-1.fc21.noarch : MinGW Adwaita icon theme for MingGW

mingw64-adwaita-icon-theme-3.14.1-1.fc21.noarch : MinGW Adwaita icon theme for MingGW

oxygen-icon-theme-4.14.3-1.fc21.noarch : Oxygen icon theme

oxygen-icon-theme-4.14.3-1.fc21.noarch : Oxygen icon theme

rodent-icon-theme-5.0-4.fc21.noarch : SVG scalable icon theme by Rodent


however, they don't seem to provide any virtual 'desktop-icon-theme' like alias that could be depended upon without forcing any particular package, so basically this cannot be solved in pavucontrol

so ... it could be proposed to add such virtual provides, but in that case, it'd be nice to have a list of icon names that must be present so that applications depending on it can rely on them

but I'm no expert in this field :-( ... is this the list that should be used as normative? - http://standards.freedesktop.org/icon-naming-spec/icon-naming-spec-latest.html#names

> Installing hicolor-icon-theme should help.

actually, hicolor-icon-theme doesn't provide any icons and doesn't require any package that would provide them
Comment 3 Fedora End Of Life 2015-11-04 09:22:51 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-12-01 21:56:31 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.